libdevel-globaldestruction-perl_0.13-1_all.deb


Advertisement

Description

libdevel-globaldestruction-perl - module to expose the flag that marks global destruction

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdevel-globaldestruction-perl
Package version: 0.13
Package release: 1
Package architecture: all
Package type: deb
Installed size: 50 B
Download size: 8.47 KB
Official Mirror: ftp.br.debian.org
Devel::GlobalDestruction is a Perl module that exposes the PL_dirty flag to Perl as a subroutine named in_global_destruction. It is useful when writing destructors, so that only non-process local resources are freed while in global destruction.

    Download

    Source package: libdevel-globaldestruction-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdevel-globaldestruction-perl deb package:
      # sudo apt-get install libdevel-globaldestruction-perl

    Files

    • /usr/share/doc/libdevel-globaldestruction-perl/changelog.Debian.gz
    • /usr/share/doc/libdevel-globaldestruction-perl/changelog.gz
    • /usr/share/doc/libdevel-globaldestruction-perl/copyright
    • /usr/share/man/man3/Devel::GlobalDestruction.3pm.gz
    • /usr/share/perl5/Devel/GlobalDestruction.pm

    Changelog

    2014-08-26 - Angel Abad <angel@debian.org> libdevel-globaldestruction-perl (0.13-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ Angel Abad ] * Imported Upstream version 0.13 * debian/control: Use Build-Depends-Indep instead of Build-Depends * debian/copyright: Update debian/* years

    2013-11-03 - Angel Abad <angel@debian.org> libdevel-globaldestruction-perl (0.12-1) unstable; urgency=low * Imported Upstream version 0.12 * debian/control: - Build depends on debhelper (>= 9.20120312) - Add myself to Uploaders * debian/copyright: Update debian/* years * Bump Standards-Version to 3.9.5

    2013-07-10 - gregor herrmann <gregoa@debian.org> libdevel-globaldestruction-perl (0.11-1) unstable; urgency=low * Team upload. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release. * debian/copyright: drop information about removed ppport.h. * Relax debhelper build dependency and compatibility level. This package is arch:all since some time. * Set Standards-Version to 3.9.4 (no further changes).

    2012-08-15 - Alessandro Ghedini <ghedo@debian.org> libdevel-globaldestruction-perl (0.09-1) unstable; urgency=low * New upstream release * Replace libsub-exporter-perl with libsub-exporter-progressive-perl in (build) depends

    2012-07-26 - Alessandro Ghedini <ghedo@debian.org> libdevel-globaldestruction-perl (0.07-1) unstable; urgency=low * New upstream release * Add myself to Uploaders

    2012-06-15 - gregor herrmann <gregoa@debian.org> libdevel-globaldestruction-perl (0.06-1) unstable; urgency=low * Team upload. * New upstream release.

    2012-04-30 - Alessandro Ghedini <ghedo@debian.org> libdevel-globaldestruction-perl (0.05-1) unstable; urgency=low * Team upload * New upstream release * Update d/copyright to Copyright-Format 1.0 * Bump Standards-Version to 3.9.3 * Bump debhelper compat level to 9

    2011-11-15 - Dominic Hargreaves <dom@earth.li> libdevel-globaldestruction-perl (0.04-2) unstable; urgency=medium [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ Dominic Hargreaves ] * Makefile.PL detects presence of $ {^GLOBAL_PHASE} (perl 5.14 and above) and becomes architecture independent, so add versioned {Build-,}Depends on perl (>= 5.14.0) and set package to Architecture: all. Thanks Jakub Wilk for the bug report and initial patch (closes: #648865) * Add a README.source with a note to backporters about the above change

    2011-07-04 - Ansgar Burchardt <ansgar@debian.org> libdevel-globaldestruction-perl (0.04-1) unstable; urgency=low * Team upload. * New upstream release. * No longer (build-)depend on libscope-guard-perl. * debian/copyright: Update for new upstream release. * Bump Standards-Version to 3.9.2 (no changes).

    2010-12-24 - Jonathan Yu <jawnsy@cpan.org> libdevel-globaldestruction-perl (0.03-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release + Drop the XS code on perl versions recent enough to have ${^GLOBAL_PHASE}. * Use new 3.0 (quilt) source format * Rewrite control description * Drop version dependencies satisfied by oldstable * Standards-Version 3.9.1 (no changes) * Add myself to Uploaders and Copyright * Refresh copyright information * Use new short debhelper rules format * Bump d/compat level to 7 [ gregor herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza). [ Nathan Handler ] * debian/watch: Update to ignore development releases.

    Advertisement
    Advertisement